Page MenuHomePhabricator

Check multi-datacenter compatibility with GettingStarted's use of Redis
Closed, ResolvedPublic

Description

It's used for keeping an auto-updated list of relevant articles in particular categories.

Details

Related Gerrit Patches:
mediawiki/extensions/GettingStarted : masterAdd ability to connect to a master or slave Redis instance

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Normal.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF added subscribers: mark, Joe, Krenair and 6 others.
Gilles added a subscriber: Gilles.Apr 2 2015, 12:24 PM
aaron added a comment.Apr 3 2015, 4:49 PM

Looks like RedisCategorySync::getRedis() can just take a master/slave flag. All the writes happen on POST anyway, and those would go to the master server in the main DC. The redis slave would be used for the srandommember call.

Gilles claimed this task.Apr 5 2015, 1:16 PM

Looking at the current production config, I've found the list of session redis servers that GetingStarted picks the first from. That list doesn't indicate if any of these servers are slaves, though. Is there any way for me to know? Or is that information buried in ops' production puppet control panels?

Change 201948 had a related patch set uploaded (by Gilles):
Add ability to connect to a master or slave Redis instance

https://gerrit.wikimedia.org/r/201948

aaron added a comment.EditedApr 5 2015, 5:48 PM

The mc1001-1016 servers have no slaves in eqiad. The only slaves they ever have are in the other DC.

I'd assume for eqiad, the "slave" would just be the master. Not sure if this is in puppet yet.

aaron added a comment.Apr 5 2015, 6:03 PM

Not seeing any hierdata in puppet yet.

Change 201948 merged by jenkins-bot:
Add ability to connect to a master or slave Redis instance

https://gerrit.wikimedia.org/r/201948

Gilles removed Gilles as the assignee of this task.Jun 2 2015, 8:25 AM
Gilles removed a project: Patch-For-Review.
Gilles set Security to None.
aaron closed this task as Resolved.Jul 22 2015, 1:49 AM
aaron claimed this task.